GET
/api/v2/card-loads/{id}Get a the crypto on/off-ramp-to-card load
Returns the current funding, the crypto on/off-ramp trade, fiat settlement, and prepaid load status. Poll until Status is completed or failed.
Authentication
Send your API key in the x-api-key header on every request.
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| id (path) | integer (int32) | Yes | |
| userId (query) | unknown | No |
Responses
200 — OK
| Field | Type | Required | Description |
|---|---|---|---|
| Id | unknown | No | |
| Status | string | No | |
| UserId | unknown | No | |
| CardId | unknown | No | |
| CryptoCurrency | string | No | |
| CryptoAmount | string | No | |
| ChainId | unknown | No | |
| FiatCurrency | string | No | |
| EstimatedFiatAmount | string | No | |
| SettledFiatAmount | string | No | |
| DepositInstruction | object | No | |
| BoomFiOrderId | string | No | |
| BoomFiOrderStatus | string | No | |
| BoomFiSettlementStatus | string | No | |
| BPayTransferId | string | No | |
| FailureMessage | string | No | |
| CreatedAt | string (date-time) | No | |
| CompletedAt | string (date-time) | No |
404 — Not Found
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
Example request
curl -X GET "https://{base_url}/api/v2/card-loads/{id}" \
-H "x-api-key: YOUR_API_KEY"This page is generated from the live OpenAPI specification and always matches the current API.